<!DOCTYPE html>
<html xmlns:th="www.thymeleaf.org">
<head>
    <title>Nouveau Produit</title>
</head>
<body>
<div th:include="header.html"></div>

<div class="col-md-8 col-md-offset-2">
    <div class="panel panel-info">
        <div class="panel-heading">
            <h2 class="panel-title text-center">Ajout et Update de Produit</h2>
        </div>
        <div class="panel-body">
            <form class="form-horizontal" enctype="multipart/form-data" method="POST"
                  th:action="@{/produit/add}" th:object="${produit}">

                <input class="form-control" th:field="*{id}" type="hidden"/>

                <div class="form-group">
                    <label class="control-label col-md-2" for="sel2">Categorie</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel2" th:field="*{categorie.id}">
                            <option th:each="cat:${categories}" th:text="${cat.nom}"
                                    th:value="${cat.id}">
                            </option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-2">Nom</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{nom}" type="text"/>
                        <span class="text-danger" th:errors="*{nom}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2" for="sel1">Type Engros</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel1" th:field="*{typeEngros}">
                            <option th:text="Bidon" th:value="Bidon"></option>
                            <option th:text="Boite" th:value="Boite"></option>
                            <option th:text="Caisse" th:value="Caisse"></option>
                            <option th:text="Carton" th:value="Carton"></option>
                            <option th:text="Paquet" th:value="Paquet"></option>
                            <option th:text="Sac" th:value="Sac"></option>
                            <option th:text="Sachet" th:value="Sachet"></option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Nombre Engros</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{nombreEngros}" type="number"/>
                        <span class="text-danger" th:errors="*{nombreEngros}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Prix Engros</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{prixEngros}" type="number"/>
                        <span class="text-danger" th:errors="*{prixEngros}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Prix</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{prix}" type="number"/>
                        <span class="text-danger" th:errors="*{prix}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Image</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{image}" type="text"/>
                        <span class="text-danger" th:errors="*{image}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Code Barre 1</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{codeBarre1}" type="number"/>
                        <span class="text-danger" th:errors="*{codeBarre1}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Code Barre 2</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{codeBarre2}" type="number"/>
                        <span class="text-danger" th:errors="*{codeBarre2}"></span>
                    </div>
                </div>

                <div class="text-center">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-save"></span> Sauvegarder</button>
                </div>
            </form>
        </div>
    </div>
</div>
</div>

</body>
</html>